jay/yydebug supports tracing and animation for a Java-based parser generated by {@link jay}.

- Usage
- Projects
- Downloads

Usage

An implementation of {@link jay.yydebug.yyDebug} is passed as an additional argument to `yyparse()` to trace a Java-based parser generated by {@link jay} with option `-t` set.

{@link jay.yydebug.yyDebugAdapter} produces one-line messages, by default to standard output. The messages are designed to be filtered by a program such as grep.

{@link jay.yydebug.yyAnim} provides an animation of the parsing process:

Terminal symbols are displayed in the token field as they are read by the parser, state/value stack activities are shown in the stack panel, and a running commentary appears in the comments area. The text area at the bottom simulates a terminal if the flags `1` for standard input and/or `2` for standard and diagnostic output are passed to {@link jay.yydebug.yyAnim}.

The parser is stopped if there is an activity in an area with an activated checkbutton. continue will continue the parsing activities.

Projects

- Can a skeleton be written which uses the debug interface to call the action interface created by {@link pj}?
- Animation is not (yet?) available for C#.

Downloads

- class files, 16 kb
- source files, 12 kb

@author Axel T. Schreiner. @version 1.1.0, August 2004.